Package Details: hipchat 4.30.5.1680-2

Git Clone URL: https://aur.archlinux.org/hipchat.git (read-only, click to copy)
Package Base: hipchat
Description: Persistent group chat using XMPP
Upstream URL: https://www.hipchat.com/linux
Licenses: custom
Submitter: DouglasMeyer
Maintainer: freswa
Last Packager: freswa
Votes: 88
Popularity: 0.000001
First Submitted: 2012-03-21 15:48
Last Updated: 2019-11-11 23:47

Latest Comments

« First ‹ Previous ... 9 10 11 12 13 14

nirev commented on 2013-02-10 14:48

# Maintainer: Douglas Meyer <Douglas.Meyer@mail.com>

pkgname=hipchat
pkgver=1.20130116182826
pkgrel=1
pkgdesc="An Adobe Air application for HipChat"
arch=('i686' 'x86_64')
url="http://www.hipchat.com/"
license=('unknown')
depends=('adobe-air' 'lib32-libxt' 'lib32-libxtst')
source=(http://downloads.hipchat.com/hipchat.air
'hipchat.sh'
'hipchat.desktop'
'hipchat.png')
md5sums=('a3a9ccc61f6724fad0657df0d8e2cb1e'
'31a23b8312d240cf8f2ddbd5d420acc1'
'5797bc21b381094cd0bf742130b5e453'
'8077ee60d9b555deb5d49dd8f6be3f32')
noextract=(hipchat.air)

build() {
cd $srcdir/

install -d $pkgdir/{usr/bin,opt/$pkgname}
install -d $pkgdir/usr/share/applications
install -d $pkgdir/usr/share/icons/hicolor/128x128/apps
install hipchat.air $pkgdir/opt/$pkgname/
install -m755 hipchat.sh $pkgdir/usr/bin/hipchat
install hipchat.desktop $pkgdir/usr/share/applications/
install hipchat.png $pkgdir/usr/share/icons/hicolor/128x128/apps/
}

cmr commented on 2012-12-27 16:03

New md5: a5d03b8732179a09eedd538f404bb72c
Not sure Where you got the version number from.

Anonymous comment on 2012-12-06 15:10

hipchat.air failes a md5sum check on my system :(

silverbucket commented on 2012-06-20 15:34

Seems like the requirements for 'lib32-libxt' and 'lib32-libxtst' are only for x86_64 systems. So i686 users can't install the package without removing those dependencies from the PKGBUILD file. I'm new to Arch, so I'm not sure how, but I'm sure there's a way to specify conditional dependencies based on machine architecture.

Also, the icon doesn't seem to be working in the application menu, and I can't seem to pin this to my taskbar as a favorite.

Thanks for making the app though! I love HipChat! :)

milasch commented on 2012-06-07 15:15

For 64bit installation, you need to install lib32-gtk-engines from AUR, lib32-libcanberra, from multilib. But it still won't run:

$ hipchat
adobe-air: Extracting application to directory: /tmp/adobeair.HlZTgQ0La8
adobe-air: Attempting to start application
invocation forwarded to primary instance
adobe-air: Cleaning up temporary directory
adobe-air: Done

Then nothing else happens.

milasch commented on 2012-06-07 14:51

Info to newbies like me:

For x64_86 -> don't forget to enable repository multilib on pacman.conf

DouglasMeyer commented on 2012-03-21 15:50

First package I've built/submitted. Please contact me if I'm not doing something the correct way (specifically the location of the icon). Thanks, and enjoy!